You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     pc...@freebsd.org
Last committer: b...@freebsd.org
Ident:          $FreeBSD: branches/2014Q1/x11-toolkits/p5-Wx/Makefile 327785 
2013-09-20 23:57:47Z bapt $
Log URL:        
http://beefy1.isc.freebsd.org/bulk/10i386-quarterly/2014-05-28_22h19m38s/logs/p5-Wx-0.99.16.log
Build URL:      
http://beefy1.isc.freebsd.org/bulk/10i386-quarterly/2014-05-28_22h19m38s
Log:

====>> Building x11-toolkits/p5-Wx
build started at Thu May 29 01:07:25 UTC 2014
port directory: /usr/ports/x11-toolkits/p5-Wx
building for: FreeBSD 10i386-quarterly-job-08 10.0-RELEASE-p3 FreeBSD 
10.0-RELEASE-p3 i386
maintained by: pc...@freebsd.org
Makefile ident:      $FreeBSD: branches/2014Q1/x11-toolkits/p5-Wx/Makefile 
327785 2013-09-20 23:57:47Z bapt $
Poudriere version: 3.1-pre
Host OSVERSION: 1100013
Jail OSVERSION: 1000510

---Begin Environment---
UNAME_m=i386
UNAME_p=i386
OSVERSION=1000510
UNAME_v=FreeBSD 10.0-RELEASE-p3
UNAME_r=10.0-RELEASE-p3
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/build/10i386-quarterly/ref
PKG_EXT=txz
tpid=41953
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=p5-Wx-0.99.16
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
OLDPWD=/usr/local/poudriere/data/build/10i386-quarterly/ref/poudriere/rdeps
PWD=/usr/local/poudriere/data/build/10i386-quarterly/ref/poudriere/pool
MASTERNAME=10i386-quarterly
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for p5-Wx-0.99.16:
     UNICODE=on: Build with Unicode support
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
INSTALLDIRS="site" CC="c++" CCFLAGS="-O2 -pipe -pthread -Wno-write-strings 
-fno-strict-aliasing" PREFIX="/usr/local"  INSTALLPRIVLIB="/usr/local/lib" 
INSTALLARCHLIB="/usr/local/lib"
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" ac_cv_path_PERL=/usr/local/bin/perl TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh WX_CONFIG=/usr/local/bin/wxgtk2u-2.8-config 
PERL_EXTUTILS_AUTOINSTALL="--skipdeps" PERL_MM_USE_DEFAULT="YES"
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES 
WX_CONFIG=/usr/local/bin/wxgtk2u-2.8-config PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="c++" CFLAGS="-O2 -pipe -pthread 
-Wno-write-strings -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=""  
CXX="c++" CXXFLAGS="-O2 -pipe -pthread -Wno-write-strings -fno-strict-aliasing" 
 MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 
555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=10.0
PREFIX=%D
LOCALBASE=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
PORTDATA=""
LIB32DIR=lib
PERL_VERSION=5.16.3
PERL_VER=5.16
PERL_ARCH=mach
PERL5_MAN3=lib/perl5/5.16/man/man3
SITE_PERL=lib/perl5/site_perl/5.16
DOCSDIR="share/doc/Wx"
EXAMPLESDIR="share/examples/Wx"
DATADIR="share/Wx"
WWWDIR="www/Wx"
ETCDIR="etc/Wx"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/Wx
DOCSDIR=/usr/local/share/doc/Wx
EXAMPLESDIR=/usr/local/share/examples/Wx
WWWDIR=/usr/local/www/Wx
ETCDIR=/usr/local/etc/Wx
--End SUB_LIST--

---Begin make.conf---
ARCH=i386
MACHINE=i386
MACHINE_ARCH=i386
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
# clean-restricted via poudriere.conf NO_RESTRICTED
#NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for p5-Wx-0.99.16
=======================<phase: check-sanity   >============================
===>  License ART10 GPLv1 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   p5-Wx-0.99.16 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.7.txz
Installing pkg-1.2.7... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of p5-Wx-0.99.16
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License ART10 GPLv1 accepted by the user
===> Fetching all distfiles required by p5-Wx-0.99.16 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License ART10 GPLv1 accepted by the user
===> Fetching all distfiles required by p5-Wx-0.99.16 for building
=> SHA256 Checksum OK for Wx-0.9916.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License ART10 GPLv1 accepted by the user
===> Fetching all distfiles required by p5-Wx-0.99.16 for building
===>  Extracting for p5-Wx-0.99.16
=> SHA256 Checksum OK for Wx-0.9916.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for p5-Wx-0.99.16
===>  Applying FreeBSD patches for p5-Wx-0.99.16
===========================================================================
=======================<phase: build-depends  >============================
===>   p5-Wx-0.99.16 depends on package: p5-Alien-wxWidgets>=0.25 - not found
pkg-static: No package(s) matching p5-Alien-wxWidgets
===>    Verifying install for p5-Alien-wxWidgets>=0.25 in 
/usr/ports/x11-toolkits/p5-Alien-wxWidgets
===>   Installing existing package /packages/All/p5-Alien-wxWidgets-0.62.txz
Installing p5-Alien-wxWidgets-0.62...Installing 
wx28-gtk2-unicode-contrib-2.8.12_2...Installing ORBit2-2.14.19...Installing 
gettext-0.18.3.1... done
Installing glib-2.36.3_2...Installing libffi-3.0.13_1... done
Installing libiconv-1.14_3... done
Installing pcre-8.34... done
Installing perl5-5.16.3_9... done
Installing python27-2.7.6_4... done
No schema files found: doing nothing.
 done
Installing libIDL-0.8.14_1... done
 done
Installing atk-2.8.0...Installing gnomehier-3.0... done
 done
Installing expat-2.1.0... done
Installing gconf2-2.32.0_3...Installing dbus-glib-0.100.2...Installing 
dbus-1.6.18...Installing gnome_subr-1.0... done
Installing libICE-1.0.8,1...Installing xproto-7.0.25... done
 done
Installing libSM-1.2.2,1... done
Installing libX11-1.6.2,1...Installing kbproto-1.0.6... done
Installing libXau-1.0.8... done
Installing libXdmcp-1.1.1... done
Installing libxcb-1.9.3...Installing libpthread-stubs-0.3_4... done
Installing libxml2-2.9.1_1... done
 done
 done
===> Creating users and/or groups.
Creating group 'messagebus' with gid '556'.
Creating user 'messagebus' with uid '556'.
 done
 done
Installing dconf-0.14.1_1... done
Installing gtk2-2.24.22_1...Installing cups-client-1.7.1_1...===> Creating 
users and/or groups.
Creating group 'cups' with gid '193'.
Creating user 'cups' with uid '193'.
 done
Installing gdk-pixbuf2-2.28.2...Installing jasper-1.900.1_12...Installing 
jpeg-8_4... done
 done
Installing libXi-1.7.2,1...Installing inputproto-2.3... done
Installing libXext-1.3.2,1...Installing xextproto-7.2.1... done
 done
Installing libXfixes-5.0.1...Installing fixesproto-5.0... done
 done
 done
Installing libXt-1.1.4,1... done
Installing png-1.5.18... done
Installing tiff-4.0.3...Installing freeglut-2.8.1...Installing 
libGLU-9.0.0...Installing libGL-7.6.1_4...Installing dri2proto-2.8... done
Installing libXdamage-1.1.4...Installing damageproto-1.2.1... done
 done
Installing libXxf86vm-1.1.3...Installing xf86vidmodeproto-2.3.1... done
 done
Installing libdrm-2.4.17_1...Installing libpciaccess-0.13.2...Installing 
pciids-20140312... done
 done
 done
 done
 done
Installing libXrandr-1.4.2...Installing libXrender-0.9.8...Installing 
renderproto-0.11.1... done
 done
Installing randrproto-1.4.0... done
 done
 done
Installing jbigkit-1.6... done
Installing libXmu-1.1.2,1... done
 done
 done
Installing gtk-update-icon-cache-2.24.22...Installing 
hicolor-icon-theme-0.12... done
Installing libXcomposite-0.4.4,1...Installing compositeproto-0.4.2... done
 done
Installing libXcursor-1.1.14... done
Installing libXinerama-1.1.3,1...Installing xineramaproto-1.2.1... done
 done
Installing pango-1.34.1_2...Installing cairo-1.10.2_7,2...Installing 
xcb-util-renderutil-0.3.8...Installing xcb-util-0.3.9_1,1... done
 done
Installing pixman-0.32.4... done
Installing fontconfig-2.11.0_1,1...Installing freetype2-2.5.3... done
Running fc-cache to build fontconfig cache...
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: caching, new cache contents: 0 fonts, 1 dirs
/usr/local/lib/X11/fonts/local: caching, new cache contents: 0 fonts, 0 dirs
/root/.local/share/fonts: skipping, no such directory
/root/.fonts: skipping, no such directory
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: caching, new cache contents: 0 fonts, 1 dirs
/root/.local/share/fonts: skipping, no such directory
/root/.fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
/root/.cache/fontconfig: not cleaning non-existent cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
 done
 done
Installing encodings-1.0.4_1,1...Installing font-util-1.3.0_1... done
 done
Installing harfbuzz-0.9.25_1...Installing graphite2-1.2.4... done
Installing icu-52.1... done
 done
Installing libXft-2.3.1... done
Installing xorg-fonts-truetype-7.7_1...Installing dejavu-2.34_3... done
Installing font-bh-ttf-1.0.3_1...Installing mkfontdir-1.0.7...Installing 
mkfontscale-1.1.1...Installing libfontenc-1.1.2... done
 done
 done
 done
Installing font-misc-ethiopic-1.0.3_1... done
Installing font-misc-meltho-1.0.3_1... done
 done
 done
Installing shared-mime-info-1.1... done
 done
Installing python-2.7_1,2...Installing python2-2_2... done
 done
 done
Installing polkit-0.105_2...Installing gobject-introspection-1.36.0_2... done
 done
 done
Installing gstreamer-plugins-0.10.36_3,3...Installing gstreamer-0.10.36... done
Installing libXv-1.0.10,1...Installing videoproto-2.3.2... done
 done
Installing orc-0.4.18... done
 done
Installing libmspack-0.4... done
Installing pangox-compat-0.0.2... done
Installing wx28-gtk2-contrib-common-2.8.12_2...Installing 
wx28-gtk2-common-2.8.12_2... done
 done
Installing wx28-gtk2-unicode-2.8.12_2... done
 done
Installing gcc-4.7.3...Installing binutils-2.24... done
Installing gcc-ecj-4.5... done
Installing gmp-5.1.3_1... done
Installing mpc-1.0.2...Installing mpfr-3.1.2_1... done
 done
 done
 done
====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====
Since FreeBSD has new USB stack, freeglut normally doesn't build on FreeBSD 8
(yet). To workaround this a small patch adds one include file and comments out
content of one function (only leaves return NULL).

This might cause side effects.  Joysticks do not work, and there might be ports
that do not compile or applications that crash because of this.

Do not hesitate to contact x...@freebsd.org if there are any issues and side
effects because of this.
Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

        Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

        FontPath "/usr/local/lib/X11/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
===>   Returning to build of p5-Wx-0.99.16
===>   p5-Wx-0.99.16 depends on package: p5-ExtUtils-XSpp>=0.16.03 - not found
pkg-static: No package(s) matching p5-ExtUtils-XSpp
===>    Verifying install for p5-ExtUtils-XSpp>=0.16.03 in 
/usr/ports/devel/p5-ExtUtils-XSpp
===>   Installing existing package /packages/All/p5-ExtUtils-XSpp-0.16.03.txz
Installing p5-ExtUtils-XSpp-0.16.03... done
===>   Returning to build of p5-Wx-0.99.16
===>   p5-Wx-0.99.16 depends on file: /usr/local/bin/perl5.16.3 - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   p5-Wx-0.99.16 depends on shared library: libwx_baseu-2.8.so - found
===>   p5-Wx-0.99.16 depends on shared library: libwx_gtk2u_fl-2.8.so - found
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for p5-Wx-0.99.16

ATTENTION: It apperars 'gcc' is not a working compiler, please make
sure all necessary packages are installed.

Searching configuration for:
wxWidgets (any version) for (any toolkit); compiler compatibility: nc (any 
version); 

Available configurations:
wxWidgets 2.008012 for gtk2; compiler compatibility: gcc 3.4; options: no 
debug, unicode, no mslu
Compilation failed in require at ./Makefile.PL line 21.
BEGIN failed--compilation aborted at ./Makefile.PL line 21.
*** Error code 2

Stop.
make: stopped in /usr/ports/x11-toolkits/p5-Wx
===>  Cleaning for p5-Wx-0.99.16
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to